import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'applyflair' },
})
export class Applyflair extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '依托单位名称' })
  company_name: string;
  @prop({ required: false, index: true, zh: '工作室id' })
  studio_id: string;
  @prop({ required: false, index: true, zh: '工作室名称' })
  studio_name: string;
  @prop({ required: false, index: false, zh: '评估文件' })
  file: Array<any>;
  @prop({ required: false, index: true, zh: '申请时间' })
  apply_time: string;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典表：status',
    default: '0',
  })
  status: string;
  @prop({ required: false, index: false, zh: '记录' })
  record: Array<any>;
}
