import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'builddesire' },
})
export class Builddesire extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '单位id' })
  company_id: string;
  @prop({ required: false, index: true, zh: '单位名称' })
  company_name: string;
  @prop({ required: false, index: false, zh: '单位所在地' })
  address: string;
  @prop({
    required: false,
    index: true,
    zh: '单位性质',
    remark: '字典表：s-builddesire-nature',
  })
  nature: string;
  @prop({ required: false, index: false, zh: '拟解决技术难题或战略发展问题' })
  development: string;
  @prop({ required: false, index: true, zh: '所属领域', remark: '字典表：' })
  fields: Array<any>;
  @prop({ required: false, index: false, zh: '建设目标' })
  target: string;
  @prop({ required: false, index: true, zh: '联系人' })
  contact: string;
  @prop({ required: false, index: false, zh: '联系电话' })
  phone: string;
  @prop({
    required: false,
    index: true,
    zh: '专业技术职称',
    remark: '字典表：s-builddesire-zc',
  })
  zc: string;
  @prop({ required: false, index: false, zh: '专业领域', remark: '字典表：' })
  zy_fields: Array<any>;
  @prop({ required: false, index: false, zh: '研究方向' })
  direction: Array<any>;
  @prop({ required: false, index: false, zh: '其它要求' })
  other: string;
  @prop({ required: false, index: true, zh: '是否启用', remark: '字典表' })
  is_use: string;
}
