import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'message' },
})
export class Message extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: true, zh: '发送时间' })
  send_time: string;
  @prop({
    required: false,
    index: true,
    zh: '接收人类型',
    remark: '字典表：message_type',
  })
  type: string;
  @prop({ required: false, index: false, zh: '接收人' })
  user: Array<any>;
  @prop({ required: false, index: false, zh: '信息文件' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '信息内容' })
  content: string;
}
