import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'notice' },
})
export class Notice extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: true, zh: '发布时间' })
  date: string;
  @prop({ required: false, index: true, zh: '来源' })
  origin: string;
  @prop({ required: false, index: false, zh: '文件' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({
    required: false,
    index: true,
    zh: '是否启用',
    remark: '字典表：is_use',
    default: '0',
  })
  is_use: string;
}
