import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'scientistsettle' },
})
export class Scientistsettle extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '科学家信息id' })
  scientist_id: string;
  @prop({ required: false, index: true, zh: '科学家姓名' })
  scientist_name: string;
  @prop({ required: false, index: true, zh: '工作单位' })
  company: string;
  @prop({ required: false, index: true, zh: '职称' })
  zc: string;
  @prop({ required: false, index: false, zh: '专业领域' })
  fields: Array<any>;
  @prop({ required: false, index: false, zh: '研究方向' })
  direction: Array<any>;
  @prop({ required: false, index: true, zh: '依托单位id' })
  company_id: string;
  @prop({ required: false, index: true, zh: '依托单位名称' })
  company_name: string;
  @prop({ required: false, index: true, zh: '科学家工作室id' })
  studio_id: string;
  @prop({ required: false, index: false, zh: '文件' })
  settle_file: Array<any>;
  @prop({ required: false, index: false, zh: '团队成员' })
  team: Array<any>;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典表：status',
    default: '0',
  })
  status: string;
  @prop({ required: false, index: false, zh: '记录' })
  record: Array<any>;
}
