import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'studio' },
})
export class Studio extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '依托单位id' })
  company_id: string;
  @prop({ required: false, index: true, zh: '依托单位名称' })
  company_name: string;
  @prop({ required: false, index: false, zh: '专业领域' })
  zy_fields: Array<any>;
  @prop({ required: false, index: true, zh: '申报日期' })
  apply_time: string;
  @prop({ required: false, index: true, zh: '工作室名称（申报）' })
  apply_name: string;
  @prop({ required: false, index: true, zh: '工作室名称（正式）' })
  name: string;
  @prop({ required: false, index: true, zh: '科学家绑定用户' })
  scientist_id: string;
  @prop({ required: false, index: true, zh: '科学家信息' })
  scientistinfo_id: string;
  @prop({ required: false, index: true, zh: '科学家姓名' })
  scientist_name: string;
  @prop({ required: false, index: false, zh: '合作领域' })
  hz_fields: Array<any>;
  @prop({ required: false, index: false, zh: '合作方向' })
  hz_direction: Array<any>;
  @prop({ required: false, index: false, zh: '入驻协议' })
  settle_file: Array<any>;
  @prop({ required: false, index: false, zh: '科学家所在单位同意入驻证明材料' })
  unit_settle_file: Array<any>;
  @prop({ required: false, index: false, zh: '建设方案' })
  build_file: Array<any>;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典表：studio_status',
    default: '0',
  })
  status: string;
  @prop({ required: false, index: false, zh: '记录' })
  record: Array<any>;
}
