import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'techoldemand' },
})
export class Techoldemand extends BaseModel {
  @prop({ required: false, index: true, zh: '绑定用户' })
  user_id: string;
  @prop({ required: false, index: true, zh: '依托单位名称' })
  company_name: string;
  @prop({ required: false, index: true, zh: '联系方式' })
  phone: string;
  @prop({ required: false, index: true, zh: '入驻科学家id' })
  scientist_id: string;
  @prop({ required: false, index: true, zh: '科学家姓名' })
  scientist_name: string;
  @prop({ required: false, index: true, zh: '标题' })
  title: string;
  @prop({ required: false, index: true, zh: '发布时间' })
  date: string;
  @prop({ required: false, index: false, zh: '专业领域' })
  fields: Array<any>;
  @prop({ required: false, index: false, zh: '文件信息' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '信息内容' })
  content: string;
  @prop({ required: false, index: true, zh: '截止时间' })
  stop_date: string;
  @prop({
    required: false,
    index: true,
    zh: '是否启用',
    remark: '字典表：is_use',
    default: '0',
  })
  is_use: string;
  @prop({
    required: false,
    index: true,
    zh: '状态',
    remark: '字典表：status',
    default: '0',
  })
  status: string;
  @prop({ required: false, index: false, zh: '记录' })
  record: Array<any>;
  @prop({
    required: false,
    index: false,
    zh: '对接状态',
    remark: '字典表：demand_dock_status',
    default: '0',
  })
  dock_status: string;
}
