import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'unitStudioApply' },
})
export class UnitStudioApply extends BaseModel {
  @prop({ required: false, index: true, zh: '单位全称' })
  company: string;
  @prop({ required: false, index: false, zh: '单位地址' })
  address: string;
  @prop({ required: false, index: false, zh: '单位法人姓名' })
  name: string;
  @prop({ required: false, index: true, zh: '单位法人手机号码' })
  phone: string;
  @prop({ required: false, index: false, zh: '法人身份证' })
  card: Array<any>;
  @prop({ required: false, index: false, zh: '单位联系人' })
  unit_contact: string;
  @prop({ required: false, index: false, zh: '单位联系电话' })
  unit_phone: object;
  @prop({ required: false, index: false, zh: '单位电子邮箱' })
  unit_email: object;
  @prop({ required: false, index: false, zh: '行业领域' })
  fields: Array<any>;
  @prop({ required: false, index: false, zh: '技术需求方向' })
  direction: Array<any>;
  @prop({ required: false, index: false, zh: '上一年度财务审计报告' })
  audit_report: Array<any>;
  @prop({ required: false, index: false, zh: '上一年度R&D投入专项' })
  special_report: Array<any>;
  @prop({ required: false, index: false, zh: '其他证明资料' })
  prove_file: Array<any>;
  @prop({ required: false, index: true, zh: '状态' })
  status: string;
  @prop({ required: false, index: true, zh: '账号id' })
  unit_id: string;
}
