import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'userStudioApply' },
})
export class UserStudioApply extends BaseModel {
  @prop({ required: false, index: true, zh: '姓名' })
  name: string;
  @prop({ required: false, index: true, zh: '出生年月' })
  brith: string;
  @prop({ required: false, index: true, zh: '居住地' })
  live_place: string;
  @prop({ required: false, index: true, zh: '手机号' })
  phone: object;
  @prop({ required: false, index: true, zh: '电子邮箱' })
  email: object;
  @prop({ required: false, index: false, zh: '上传身份证照片' })
  card: Array<any>;
  @prop({ required: false, index: true, zh: '团队联系人' })
  team_name: string;
  @prop({ required: false, index: true, zh: '团队联系电话' })
  team_phone: object;
  @prop({ required: false, index: true, zh: '所在单位全称' })
  company: string;
  @prop({ required: false, index: true, zh: '所在单位地址' })
  address: string;
  @prop({ required: false, index: true, zh: '专业技术职称' })
  zc: string;
  @prop({ required: false, index: false, zh: '职称证明' })
  zc_file: Array<any>;
  @prop({ required: false, index: true, zh: '社会兼职' })
  part_job: string;
  @prop({ required: false, index: false, zh: '研究领域' })
  fields: Array<any>;
  @prop({ required: false, index: false, zh: '研究方向' })
  direction: Array<any>;
  @prop({ required: false, index: false, zh: '服务企业代表性案例' })
  case: Array<any>;
  @prop({ required: false, index: false, zh: '案例证明材料' })
  case_file: Array<any>;
  @prop({
    required: false,
    index: true,
    zh: '是否为在职人员',
    remark: '字典:studio_scientist_is_job',
  })
  is_job: string;
  @prop({ required: false, index: false, zh: '单位同意入驻证明' })
  settle_file: Array<any>;
  @prop({ required: false, index: false, zh: '上传退休证明' })
  job_zc_file: Array<any>;
  @prop({ required: false, index: true, zh: '状态', default: '0' })
  status: string;
  @prop({ required: false, index: true, zh: '账号id' })
  user_id: string;
  @prop({ required: false, index: true, zh: '学历' })
  education: string;
  @prop({ required: false, index: true, zh: '学位' })
  degree: string;
}
