import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from 'free-midway-component';
import get = require('lodash/get');
const dealVO = (cla, data) => {
  for (const key in cla) {
    const val = get(data, key);
    if (val || val === 0) cla[key] = val;
  }
};
export class FVO_applyflair {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  _id: string = undefined;
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '依托单位名称' })
  'company_name': string = undefined;
  @ApiProperty({ description: '工作室id' })
  'studio_id': string = undefined;
  @ApiProperty({ description: '工作室名称' })
  'studio_name': string = undefined;
  @ApiProperty({ description: '评估文件' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '申请时间' })
  'apply_time': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '记录' })
  'record': Array<any> = undefined;
}

export class QDTO_applyflair extends SearchBase {
  constructor() {
    const like_prop = [];
    const props = [
      'user_id',
      'company_name',
      'studio_id',
      'studio_name',
      'apply_time',
      'status',
    ];
    const mapping = [];
    super({ like_prop, props, mapping });
  }
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '依托单位名称' })
  'company_name': string = undefined;
  @ApiProperty({ description: '工作室id' })
  'studio_id': string = undefined;
  @ApiProperty({ description: '工作室名称' })
  'studio_name': string = undefined;
  @ApiProperty({ description: '申请时间' })
  'apply_time': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_applyflair extends FVO_applyflair {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_applyflair {
  @ApiProperty({ description: '绑定用户' })
  @Rule(RuleType['string']().empty(''))
  'user_id': string = undefined;
  @ApiProperty({ description: '依托单位名称' })
  @Rule(RuleType['string']().empty(''))
  'company_name': string = undefined;
  @ApiProperty({ description: '工作室id' })
  @Rule(RuleType['string']().empty(''))
  'studio_id': string = undefined;
  @ApiProperty({ description: '工作室名称' })
  @Rule(RuleType['string']().empty(''))
  'studio_name': string = undefined;
  @ApiProperty({ description: '评估文件' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '申请时间' })
  @Rule(RuleType['string']().empty(''))
  'apply_time': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
  @ApiProperty({ description: '记录' })
  @Rule(RuleType['array']().empty(''))
  'record': Array<any> = undefined;
}

export class CVO_applyflair extends FVO_applyflair {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_applyflair extends CDTO_applyflair {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['string']().empty(''))
  _id: string = undefined;
}

export class UVAO_applyflair extends FVO_applyflair {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
