import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from 'free-midway-component';
import get = require('lodash/get');
const dealVO = (cla, data) => {
  for (const key in cla) {
    const val = get(data, key);
    if (val || val === 0) cla[key] = val;
  }
};
export class FVO_contactoffice {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  _id: string = undefined;
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '信息内容' })
  'content': string = undefined;
  @ApiProperty({ description: '是否启用' })
  'is_use': string = undefined;
}

export class QDTO_contactoffice extends SearchBase {
  constructor() {
    const like_prop = [];
    const props = ['user_id', 'is_use'];
    const mapping = [];
    super({ like_prop, props, mapping });
  }
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '是否启用' })
  'is_use': string = undefined;
}

export class QVO_contactoffice extends FVO_contactoffice {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_contactoffice {
  @ApiProperty({ description: '绑定用户' })
  @Rule(RuleType['string']().empty(''))
  'user_id': string = undefined;
  @ApiProperty({ description: '信息内容' })
  @Rule(RuleType['string']().empty(''))
  'content': string = undefined;
  @ApiProperty({ description: '是否启用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
}

export class CVO_contactoffice extends FVO_contactoffice {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_contactoffice extends CDTO_contactoffice {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['string']().empty(''))
  _id: string = undefined;
}

export class UVAO_contactoffice extends FVO_contactoffice {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
