import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from 'free-midway-component';
import get = require('lodash/get');
const dealVO = (cla, data) => {
  for (const key in cla) {
    const val = get(data, key);
    if (val || val === 0) cla[key] = val;
  }
};
export class FVO_scientistsettle {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  _id: string = undefined;
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '科学家信息id' })
  'scientist_id': string = undefined;
  @ApiProperty({ description: '科学家姓名' })
  'scientist_name': string = undefined;
  @ApiProperty({ description: '工作单位' })
  'company': string = undefined;
  @ApiProperty({ description: '职称' })
  'zc': string = undefined;
  @ApiProperty({ description: '专业领域' })
  'fields': Array<any> = undefined;
  @ApiProperty({ description: '研究方向' })
  'direction': Array<any> = undefined;
  @ApiProperty({ description: '依托单位id' })
  'company_id': string = undefined;
  @ApiProperty({ description: '依托单位名称' })
  'company_name': string = undefined;
  @ApiProperty({ description: '科学家工作室id' })
  'studio_id': string = undefined;
  @ApiProperty({ description: '文件' })
  'settle_file': Array<any> = undefined;
  @ApiProperty({ description: '团队成员' })
  'team': Array<any> = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '记录' })
  'record': Array<any> = undefined;
}

export class QDTO_scientistsettle extends SearchBase {
  constructor() {
    const like_prop = [];
    const props = [
      'user_id',
      'scientist_id',
      'scientist_name',
      'company',
      'zc',
      'company_id',
      'company_name',
      'studio_id',
      'status',
    ];
    const mapping = [];
    super({ like_prop, props, mapping });
  }
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '科学家信息id' })
  'scientist_id': string = undefined;
  @ApiProperty({ description: '科学家姓名' })
  'scientist_name': string = undefined;
  @ApiProperty({ description: '工作单位' })
  'company': string = undefined;
  @ApiProperty({ description: '职称' })
  'zc': string = undefined;
  @ApiProperty({ description: '依托单位id' })
  'company_id': string = undefined;
  @ApiProperty({ description: '依托单位名称' })
  'company_name': string = undefined;
  @ApiProperty({ description: '科学家工作室id' })
  'studio_id': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
}

export class QVO_scientistsettle extends FVO_scientistsettle {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_scientistsettle {
  @ApiProperty({ description: '绑定用户' })
  @Rule(RuleType['string']().empty(''))
  'user_id': string = undefined;
  @ApiProperty({ description: '科学家信息id' })
  @Rule(RuleType['string']().empty(''))
  'scientist_id': string = undefined;
  @ApiProperty({ description: '科学家姓名' })
  @Rule(RuleType['string']().empty(''))
  'scientist_name': string = undefined;
  @ApiProperty({ description: '工作单位' })
  @Rule(RuleType['string']().empty(''))
  'company': string = undefined;
  @ApiProperty({ description: '职称' })
  @Rule(RuleType['string']().empty(''))
  'zc': string = undefined;
  @ApiProperty({ description: '专业领域' })
  @Rule(RuleType['array']().empty(''))
  'fields': Array<any> = undefined;
  @ApiProperty({ description: '研究方向' })
  @Rule(RuleType['array']().empty(''))
  'direction': Array<any> = undefined;
  @ApiProperty({ description: '依托单位id' })
  @Rule(RuleType['string']().empty(''))
  'company_id': string = undefined;
  @ApiProperty({ description: '依托单位名称' })
  @Rule(RuleType['string']().empty(''))
  'company_name': string = undefined;
  @ApiProperty({ description: '科学家工作室id' })
  @Rule(RuleType['string']().empty(''))
  'studio_id': string = undefined;
  @ApiProperty({ description: '文件' })
  @Rule(RuleType['array']().empty(''))
  'settle_file': Array<any> = undefined;
  @ApiProperty({ description: '团队成员' })
  @Rule(RuleType['array']().empty(''))
  'team': Array<any> = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
  @ApiProperty({ description: '记录' })
  @Rule(RuleType['array']().empty(''))
  'record': Array<any> = undefined;
}

export class CVO_scientistsettle extends FVO_scientistsettle {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_scientistsettle extends CDTO_scientistsettle {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['string']().empty(''))
  _id: string = undefined;
}

export class UVAO_scientistsettle extends FVO_scientistsettle {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
