import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import { SearchBase } from 'free-midway-component';
import get = require('lodash/get');
const dealVO = (cla, data) => {
  for (const key in cla) {
    const val = get(data, key);
    if (val || val === 0) cla[key] = val;
  }
};
export class FVO_techolsupport {
  constructor(data: object) {
    dealVO(this, data);
  }
  @ApiProperty({ description: '数据id' })
  _id: string = undefined;
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '科学家姓名' })
  'scientist_name': string = undefined;
  @ApiProperty({ description: '单位名称' })
  'company_name': string = undefined;
  @ApiProperty({ description: '联系方式' })
  'phone': string = undefined;
  @ApiProperty({ description: '标题' })
  'title': string = undefined;
  @ApiProperty({ description: '发布时间' })
  'date': string = undefined;
  @ApiProperty({ description: '行业领域' })
  'fields': Array<any> = undefined;
  @ApiProperty({ description: '文件信息' })
  'file': Array<any> = undefined;
  @ApiProperty({ description: '信息内容' })
  'content': string = undefined;
  @ApiProperty({ description: '是否启用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '记录' })
  'record': Array<any> = undefined;
  @ApiProperty({ description: '对接状态' })
  'dock_status': string = undefined;
}

export class QDTO_techolsupport extends SearchBase {
  constructor() {
    const like_prop = [];
    const props = [
      'user_id',
      'scientist_name',
      'company_name',
      'phone',
      'title',
      'date',
      'is_use',
      'status',
      'dock_status',
    ];
    const mapping = [];
    super({ like_prop, props, mapping });
  }
  @ApiProperty({ description: '绑定用户' })
  'user_id': string = undefined;
  @ApiProperty({ description: '科学家姓名' })
  'scientist_name': string = undefined;
  @ApiProperty({ description: '单位名称' })
  'company_name': string = undefined;
  @ApiProperty({ description: '联系方式' })
  'phone': string = undefined;
  @ApiProperty({ description: '标题' })
  'title': string = undefined;
  @ApiProperty({ description: '发布时间' })
  'date': string = undefined;
  @ApiProperty({ description: '是否启用' })
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  'status': string = undefined;
  @ApiProperty({ description: '对接状态' })
  'dock_status': string = undefined;
}

export class QVO_techolsupport extends FVO_techolsupport {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class CDTO_techolsupport {
  @ApiProperty({ description: '绑定用户' })
  @Rule(RuleType['string']().empty(''))
  'user_id': string = undefined;
  @ApiProperty({ description: '科学家姓名' })
  @Rule(RuleType['string']().empty(''))
  'scientist_name': string = undefined;
  @ApiProperty({ description: '单位名称' })
  @Rule(RuleType['string']().empty(''))
  'company_name': string = undefined;
  @ApiProperty({ description: '联系方式' })
  @Rule(RuleType['string']().empty(''))
  'phone': string = undefined;
  @ApiProperty({ description: '标题' })
  @Rule(RuleType['string']().empty(''))
  'title': string = undefined;
  @ApiProperty({ description: '发布时间' })
  @Rule(RuleType['string']().empty(''))
  'date': string = undefined;
  @ApiProperty({ description: '行业领域' })
  @Rule(RuleType['array']().empty(''))
  'fields': Array<any> = undefined;
  @ApiProperty({ description: '文件信息' })
  @Rule(RuleType['array']().empty(''))
  'file': Array<any> = undefined;
  @ApiProperty({ description: '信息内容' })
  @Rule(RuleType['string']().empty(''))
  'content': string = undefined;
  @ApiProperty({ description: '是否启用' })
  @Rule(RuleType['string']().empty(''))
  'is_use': string = undefined;
  @ApiProperty({ description: '状态' })
  @Rule(RuleType['string']().empty(''))
  'status': string = undefined;
  @ApiProperty({ description: '记录' })
  @Rule(RuleType['array']().empty(''))
  'record': Array<any> = undefined;
  @ApiProperty({ description: '对接状态' })
  @Rule(RuleType['string']().empty(''))
  'dock_status': string = undefined;
}

export class CVO_techolsupport extends FVO_techolsupport {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}

export class UDTO_techolsupport extends CDTO_techolsupport {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['string']().empty(''))
  _id: string = undefined;
}

export class UVAO_techolsupport extends FVO_techolsupport {
  constructor(data: object) {
    super(data);
    dealVO(this, data);
  }
}
