import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import {
  BaseService,
  ServiceError,
  FrameworkErrorEnum,
} from 'free-midway-component';
import { Scientistsettle } from '../entity/scientistsettle.entity';
type modelType = ReturnModelType<typeof Scientistsettle>;
@Provide()
export class ScientistsettleService extends BaseService<modelType> {
  @InjectEntityModel(Scientistsettle)
  model: modelType;
  async create(body) {
    const data = await this.model.findOne({ studio_id: body.studio_id });
    if (data) {
      if (data.user_id === body.user_id) {
        throw new ServiceError(
          '已有入驻数据，不可重复入驻',
          FrameworkErrorEnum.BAD_BODY
        );
      } else {
        if (data.status === '1') {
          throw new ServiceError(
            FrameworkErrorEnum.BAD_BODY,
            '已有人入驻此科学家工作室，不可入驻'
          );
        } else {
          const res = await this.model.create(body);
          return res;
        }
      }
    } else {
      const res = await this.model.create(body);
      return res;
    }
  }
}
